id: pronote-panel

info:
  name: PRONOTE Login Panel - Detect
  author: righettod
  severity: info
  description: |
    PRONOTE products was detected.
  reference:
    - https://www.index-education.com/fr/logiciel-gestion-vie-scolaire.php
  metadata:
    max-request: 1
    shodan-query: http.title:"PRONOTE"
  tags: panel,pronote,login

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_any(to_lower(body), "<title>pronote", "content=\"pronote\"")'
        condition: and

    extractors:
      - type: regex
        part: header
        group: 1
        regex:
          - '(?i)Server:\s+PRONOTE\s+([0-9.\s\-]+)'
# digest: 4b0a00483046022100c6b8e1049ee2f8109bbfc8d95672e08c34ae2d71028e2d941666fdc95e79bc22022100b5d48be7a302eb8b4bd5dbb18caf9d018ad3a84169547e3809df8dd41a4c683d:922c64590222798bb761d5b6d8e72950